Steven il y a 7 mois
Parent
commit
6470f5f941

+ 18 - 0
KulexiuForStudent/KulexiuForStudent.xcodeproj/project.pbxproj

@@ -6082,6 +6082,7 @@
 				7FA65C60616F879A71C69DE3 /* [CP] Embed Pods Frameworks */,
 				CAFB9BB2B8A1DEF4AC72C464 /* [CP] Copy Pods Resources */,
 				BC3BF62E2B9EAF8900831494 /* Embed Frameworks */,
+				BCDD10BD2CA2661000FAF7AD /* ShellScript */,
 			);
 			buildRules = (
 			);
@@ -6641,6 +6642,23 @@
 			shellScript = "diff \"${PODS_PODFILE_DIR_PATH}/Podfile.lock\" \"${PODS_ROOT}/Manifest.lock\" > /dev/null\nif [ $? != 0 ] ; then\n    # print error to STDERR\n    echo \"error: The sandbox is not in sync with the Podfile.lock. Run 'pod install' or update your CocoaPods installation.\" >&2\n    exit 1\nfi\n# This output is used by Xcode 'outputs' to avoid re-running this script phase.\necho \"SUCCESS\" > \"${SCRIPT_OUTPUT_FILE_0}\"\n";
 			showEnvVarsInLog = 0;
 		};
+		BCDD10BD2CA2661000FAF7AD /* ShellScript */ = {
+			isa = PBXShellScriptBuildPhase;
+			buildActionMask = 2147483647;
+			files = (
+			);
+			inputFileListPaths = (
+			);
+			inputPaths = (
+			);
+			outputFileListPaths = (
+			);
+			outputPaths = (
+			);
+			runOnlyForDeploymentPostprocessing = 0;
+			shellPath = /bin/sh;
+			shellScript = "# Type a script or drag a script file from your workspace to insert its path.\nstrip_invalid_archs() {\n    binary=\"$1\"\n    echo \"current binary ${binary}\"\n    # Get architectures for current file\n    archs=\"$(lipo -info \"$binary\" | rev | cut -d ':' -f1 | rev)\"\n    stripped=\"\"\n    for arch in $archs; do\n        if ! [[ \"${ARCHS}\" == *\"$arch\"* ]]; then\n            if [ -f \"$binary\" ]; then\n                # Strip non-valid architectures in-place\n                lipo -remove \"$arch\" -output \"$binary\" \"$binary\" || exit 1\n                stripped=\"$stripped $arch\"\n            fi\n        fi\n    done\n    if [[ \"$stripped\" ]]; then\n        echo \"Stripped $binary of architectures:$stripped\"\n    fi\n}\n\n\nAPP_PATH=\"${TARGET_BUILD_DIR}/${WRAPPER_NAME}\"\n\n\n# This script loops through the frameworks embedded in the application and\n# removes unused architectures.\nfind \"$APP_PATH\" -name '*.framework' -type d | while read -r FRAMEWORK\ndo\n    FRAMEWORK_EXECUTABLE_NAME=$(defaults read \"$FRAMEWORK/Info.plist\" CFBundleExecutable)\n    FRAMEWORK_EXECUTABLE_PATH=\"$FRAMEWORK/$FRAMEWORK_EXECUTABLE_NAME\"\n    echo \"Executable is $FRAMEWORK_EXECUTABLE_PATH\"\n    strip_invalid_archs \"$FRAMEWORK_EXECUTABLE_PATH\"\ndone\n";
+		};
 		C466C0F5CFE9161E20B6DAE7 /* [CP] Check Pods Manifest.lock */ = {
 			isa = PBXShellScriptBuildPhase;
 			buildActionMask = 2147483647;

+ 1 - 1
KulexiuForStudent/KulexiuForStudent.xcodeproj/xcshareddata/xcschemes/KulexiuForStudent.xcscheme

@@ -92,7 +92,7 @@
       buildConfiguration = "Debug">
    </AnalyzeAction>
    <ArchiveAction
-      buildConfiguration = "Release"
+      buildConfiguration = "TEST"
       revealArchiveInOrganizer = "YES">
    </ArchiveAction>
 </Scheme>

+ 19 - 19
KulexiuForStudent/Pods/TIMCommon/TIMCommon/BaseCell/TUIMessageCell.m

@@ -448,25 +448,25 @@
 
 - (void)highlightWhenMatchKeyword:(NSString *)keyword {
     static NSString *const key = @"highlightAnimation";
-    if (keyword && keyword.length) {
-        if (self.highlightAnimating) {
-            return;
-        }
-        self.highlightAnimating = YES;
-        CAKeyframeAnimation *animation = [CAKeyframeAnimation animationWithKeyPath:@"backgroundColor"];
-        animation.repeatCount = 3;
-        animation.values = @[
-            (id)[[UIColor orangeColor] colorWithAlphaComponent:0.2].CGColor,
-            (id)[[UIColor orangeColor] colorWithAlphaComponent:0.5].CGColor,
-            (id)[[UIColor orangeColor] colorWithAlphaComponent:0.2].CGColor,
-        ];
-        animation.duration = 0.5;
-        animation.removedOnCompletion = YES;
-        animation.delegate = self;
-        [self.highlightAnimateView.layer addAnimation:animation forKey:key];
-    } else {
-        [self.highlightAnimateView.layer removeAnimationForKey:key];
-    }
+//    if (keyword && keyword.length) {
+//        if (self.highlightAnimating) {
+//            return;
+//        }
+//        self.highlightAnimating = YES;
+//        CAKeyframeAnimation *animation = [CAKeyframeAnimation animationWithKeyPath:@"backgroundColor"];
+//        animation.repeatCount = 3;
+//        animation.values = @[
+//            (id)[[UIColor orangeColor] colorWithAlphaComponent:0.2].CGColor,
+//            (id)[[UIColor orangeColor] colorWithAlphaComponent:0.5].CGColor,
+//            (id)[[UIColor orangeColor] colorWithAlphaComponent:0.2].CGColor,
+//        ];
+//        animation.duration = 0.5;
+//        animation.removedOnCompletion = YES;
+//        animation.delegate = self;
+//        [self.highlightAnimateView.layer addAnimation:animation forKey:key];
+//    } else {
+//        [self.highlightAnimateView.layer removeAnimationForKey:key];
+//    }
 }
 
 - (void)updateReadLabelText {